/* PrismJS 1.30.0
https://prismjs.com/download#themes=prism&languages=markup+css+clike+javascript+java+mata+matlab+python+r+stata+yaml */
/**
 * prism.js default theme for JavaScript, CSS and HTML
 * Based on dabblet (http://dabblet.com)
 * @author Lea Verou
 */

/* @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap'); */

:root, [data-bs-theme=light] {
  --nc-red: #CF222E;
  --nc-blue: #0969DA;
	--nc-green: #1A7F37;
	--nc-yellow: #9A6700;
	--nc-purple: #8250DF;
}

[data-bs-theme=dark] {
  --nc-red: #FF7B72;
  --nc-blue: #79C0FF;
	--nc-green: #7EE787;
	--nc-yellow: #D29922;
	--nc-purple: #D2A8FF;
}

code[class*="language-"],
pre[class*="language-"] {
	padding-top: -1lh;
	background: none;
	font-family: "SF Mono", var(--bs-font-monospace);
  border-radius: var(--bs-border-radius-lg);
	font-size: .97em;
	text-align: left;
	word-spacing: -0.3ch;
	white-space: pre-wrap;
	overflow-wrap: anywhere;
	word-break: normal;
	word-wrap: break-word;
	line-height: var(--bs-body-line-height);
	-moz-tab-size: 2;
	-o-tab-size: 2;
	tab-size: 2;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
}

pre[class*="language-"]::-moz-selection, pre[class*="language-"] ::-moz-selection,
code[class*="language-"]::-moz-selection, code[class*="language-"] ::-moz-selection {
	background: var(--bs-highlight-bg);
}

pre[class*="language-"]::selection, pre[class*="language-"] ::selection,
code[class*="language-"]::selection, code[class*="language-"] ::selection {
	background: var(--bs-highlight-bg);
}

@media print {
	code[class*="language-"],
	pre[class*="language-"] {
		text-shadow: none;
	}
}

/* Code blocks */
pre[class*="language-"] {
	padding: 1em;
	margin: 1em 0;
	overflow-x: hidden;
	overflow-y: auto;
}

:not(pre) > code[class*="language-"],
pre[class*="language-"] {
	background: var(--bs-secondary-bg);
	/* border: 1px solid var(--bs-border-color); */
}

/* Inline code */
:not(pre) > code[class*="language-"] {
	padding: .1em;
	border-radius: var(--bs-border-radius);
	white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
	color: slategray;
}

.token.punctuation {
	color: var(--bs-gray);
}

.token.namespace {
	opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
	color: var(--nc-blue);
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
	color: var(--nc-yellow);
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
	color: var(--bs-body-color);
}

.token.atrule,
.token.attr-value,
.token.keyword {
	color: var(--nc-red);
}

.token.function,
.token.class-name {
	color: var(--nc-green);
}

.token.regex,
.token.important,
.token.variable {
	color: var(--nc-purple);
}

.token.important,
.token.bold {
	font-weight: bold;
}
.token.italic {
	font-style: italic;
}

.token.entity {
	cursor: help;
}